> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get the list of all the sub-accounts of the master account.

GET https://api.brevo.com/v3/corporate/subAccount

This endpoint will provide the list all the sub-accounts of the master
account.

Reference: https://developers.brevo.com/reference/get-the-list-of-all-the-sub-accounts-of-the-master-account

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `offset` (integer, required) — Index of the first sub-account in the page
- `limit` (integer, required) — Number of sub-accounts to be displayed on each page

## Response

### 200

Sub-accounts list

- `count` (integer, optional) — Total number of subaccounts
- `subAccounts` (list of object, optional)
  - `active` (boolean, required) — Whether the sub-account is active or not
  - `companyName` (string, required) — Name of the sub-account company
  - `createdAt` (long, required) — Timestamp when the sub-account was created
  - `groups` (list of object, required) — Group details
    - `id` (string, optional) — Group identifier
    - `name` (string, optional) — Name of the group
  - `id` (long, required) — id of the sub-account

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "count": 3,
  "subAccounts": [
    {
      "active": true,
      "companyName": "Company1",
      "createdAt": 1631523176,
      "groups": [
        {
          "id": "5f8f8c3b5f56a02d4433b3a8",
          "name": "Group 1"
        },
        {
          "id": "4fbf3c3b1f56a02ac465b1a0",
          "name": "Group 2"
        }
      ],
      "id": 4043629
    },
    {
      "active": true,
      "companyName": "Company2",
      "createdAt": 1629439311,
      "groups": [],
      "id": 3984002
    },
    {
      "active": true,
      "companyName": "Company3",
      "createdAt": 1614713641,
      "groups": [],
      "id": 3524191
    }
  ]
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.getTheListOfAllTheSubAccountsOfTheMasterAccount({
        limit: 1,
        offset: 1,
    });
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.get_the_list_of_all_the_sub_accounts_of_the_master_account(
    limit=1,
    offset=1,
)

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Requests\GetCorporateSubAccountRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->getTheListOfAllTheSubAccountsOfTheMasterAccount(
    new GetCorporateSubAccountRequest([
        'limit' => 1,
        'offset' => 1,
    ]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/subAccount?limit=1&offset=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/subAccount?limit=1&offset=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/corporate/subAccount?limit=1&offset=1")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/subAccount?limit=1&offset=1");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/subAccount?limit=1&offset=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```